| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
ssl_common_dissect Struct Reference

## Public Attributes
struct { |
int change_cipher_spec |
int hs_exts_len |
int hs_ext_alpn_len |
int hs_ext_alpn_list |
int hs_ext_alpn_str |
int hs_ext_alpn_str_len |
int hs_ext_cert_url_item |
int hs_ext_cert_url_padding |
int hs_ext_cert_url_sha1 |
int hs_ext_cert_url_type |
int hs_ext_cert_url_url |
int hs_ext_cert_url_url_hash_list_len |
int hs_ext_cert_url_url_len |
int hs_ext_cert_status_type |
int hs_ext_cert_status_request_len |
int hs_ext_cert_status_responder_id_list_len |
int hs_ext_cert_status_request_extensions_len |
int hs_ext_cert_status_request_list_len |
int hs_ocsp_response_list_len |
int hs_ocsp_response_len |
int hs_ext_cert_type |
int hs_ext_cert_types |
int hs_ext_cert_types_len |
int hs_ext_data |
int hs_ext_ec_point_format |
int hs_ext_ec_point_formats |
int hs_ext_ec_point_formats_len |
int hs_ext_srp_len |
int hs_ext_srp_username |
int hs_ext_supported_group |
int hs_ext_supported_groups |
int hs_ext_supported_groups_len |
int hs_ext_ech_outer_ext |
int hs_ext_ech_outer_ext_len |
int hs_ech_confirm |
int hs_ech_confirm_compute |
int hs_ext_heartbeat_mode |
int hs_ext_len |
int hs_ext_npn_str |
int hs_ext_npn_str_len |
int hs_ext_reneg_info_len |
int hs_ext_reneg_info |
int hs_ext_key_share_client_length |
int hs_ext_key_share_group |
int hs_ext_key_share_key_exchange_length |
int hs_ext_key_share_key_exchange |
int hs_ext_key_share_selected_group |
int hs_ext_psk_identities_length |
int hs_ext_psk_identity_identity_length |
int hs_ext_psk_identity_identity |
int hs_ext_psk_identity_obfuscated_ticket_age |
int hs_ext_psk_binders_length |
int hs_ext_psk_binders |
int hs_ext_psk_binder |
int hs_ext_psk_binder_binder_length |
int hs_ext_psk_binder_binder |
int hs_ext_psk_identity_selected |
int hs_ext_session_ticket |
int hs_ext_supported_versions_len |
int hs_ext_supported_version |
int hs_ext_cookie_len |
int hs_ext_cookie |
int hs_ext_server_name |
int hs_ext_server_name_len |
int hs_ext_server_name_list_len |
int hs_ext_server_name_type |
int hs_ext_max_fragment_length |
int hs_ext_padding_data |
int hs_ext |
int hs_ext_type |
int hs_ext_connection_id_length |
int hs_ext_connection_id |
int hs_ext_trusted_ca_keys_len |
int hs_ext_trusted_ca_keys_list |
int hs_ext_trusted_ca_key |
int hs_ext_trusted_ca_key_type |
int hs_ext_trusted_ca_key_hash |
int hs_ext_trusted_ca_key_dname_len |
int hs_ext_trusted_ca_key_dname |
int hs_sig_hash_alg |
int hs_sig_hash_alg_len |
int hs_sig_hash_algs |
int hs_sig_hash_hash |
int hs_sig_hash_sig |
int hs_client_keyex_epms_len |
int hs_client_keyex_epms |
int hs_server_keyex_modulus_len |
int hs_server_keyex_exponent_len |
int hs_server_keyex_sig_len |
int hs_server_keyex_p_len |
int hs_server_keyex_g_len |
int hs_server_keyex_ys_len |
int hs_client_keyex_yc_len |
int hs_client_keyex_point_len |
int hs_server_keyex_point_len |
int hs_server_keyex_p |
int hs_server_keyex_g |
int hs_server_keyex_curve_type |
int hs_server_keyex_named_curve |
int hs_server_keyex_ys |
int hs_client_keyex_yc |
int hs_server_keyex_point |
int hs_client_keyex_point |
int hs_server_keyex_xs_len |
int hs_client_keyex_xc_len |
int hs_server_keyex_xs |
int hs_client_keyex_xc |
int hs_server_keyex_vs_len |
int hs_client_keyex_vc_len |
int hs_server_keyex_vs |
int hs_client_keyex_vc |
int hs_server_keyex_rs_len |
int hs_client_keyex_rc_len |
int hs_server_keyex_rs |
int hs_client_keyex_rc |
int hs_server_keyex_modulus |
int hs_server_keyex_exponent |
int hs_server_keyex_sig |
int hs_server_keyex_hint_len |
int hs_server_keyex_hint |
int hs_client_keyex_identity_len |
int hs_client_keyex_identity |
int hs_certificates_len |
int hs_certificates |
int hs_certificate_len |
int hs_certificate |
int hs_cert_types_count |
int hs_cert_types |
int hs_cert_type |
int hs_dnames_len |
int hs_dnames |
int hs_dnames_truncated |
int hs_dname_len |
int hs_dname |
int hs_random |
int hs_random_time |
int hs_random_bytes |
int hs_session_id |
int hs_session_id_len |
int hs_client_version |
int hs_server_version |
int hs_cipher_suites_len |
int hs_cipher_suites |
int hs_cipher_suite |
int hs_comp_methods_len |
int hs_comp_methods |
int hs_comp_method |
int hs_session_ticket_lifetime_hint |
int hs_session_ticket_age_add |
int hs_session_ticket_nonce_len |
int hs_session_ticket_nonce |
int hs_session_ticket_len |
int hs_session_ticket |
int hs_finished |
int hs_client_cert_vrfy_sig_len |
int hs_client_cert_vrfy_sig |
int hs_ja3_full |
int hs_ja3_hash |
int hs_ja3s_full |
int hs_ja3s_hash |
int hs_ja4 |
int hs_ja4_r |
int hs_ext_psk_ke_modes_length |
int hs_ext_psk_ke_mode |
int hs_certificate_request_context_length |
int hs_certificate_request_context |
int hs_key_update_request_update |
int sct_scts_length |
int sct_sct_length |
int sct_sct_version |
int sct_sct_logid |
int sct_sct_timestamp |
int sct_sct_extensions_length |
int sct_sct_extensions |
int sct_sct_signature |
int sct_sct_signature_length |
int hs_ext_max_early_data_size |
int hs_ext_oid_filters_length |
int hs_ext_oid_filters_oid_length |
int hs_ext_oid_filters_oid |
int hs_ext_oid_filters_values_length |
int hs_cred_valid_time |
int hs_cred_pubkey |
int hs_cred_pubkey_len |
int hs_cred_signature |
int hs_cred_signature_len |
int hs_ext_compress_certificate_algorithms_length |
int hs_ext_compress_certificate_algorithm |
int hs_ext_compress_certificate_uncompressed_length |
int hs_ext_compress_certificate_compressed_certificate_message_length |
int hs_ext_compress_certificate_compressed_certificate_message |
int hs_ext_token_binding_version_major |
int hs_ext_token_binding_version_minor |
int hs_ext_token_binding_key_parameters |
int hs_ext_token_binding_key_parameters_length |
int hs_ext_token_binding_key_parameter |
int hs_ext_record_size_limit |
int hs_ext_quictp_len |
int hs_ext_quictp_parameter |
int hs_ext_quictp_parameter_type |
int hs_ext_quictp_parameter_len |
int hs_ext_quictp_parameter_len_old |
int hs_ext_quictp_parameter_value |
int hs_ext_quictp_parameter_original_destination_connection_id |
int hs_ext_quictp_parameter_max_idle_timeout |
int hs_ext_quictp_parameter_stateless_reset_token |
int hs_ext_quictp_parameter_initial_max_data |
int hs_ext_quictp_parameter_initial_max_stream_data_bidi_local |
int hs_ext_quictp_parameter_initial_max_stream_data_bidi_remote |
int hs_ext_quictp_parameter_initial_max_stream_data_uni |
int hs_ext_quictp_parameter_initial_max_streams_bidi |
int hs_ext_quictp_parameter_initial_max_streams_uni |
int hs_ext_quictp_parameter_ack_delay_exponent |
int hs_ext_quictp_parameter_max_ack_delay |
int hs_ext_quictp_parameter_max_udp_payload_size |
int hs_ext_quictp_parameter_pa_ipv4address |
int hs_ext_quictp_parameter_pa_ipv6address |
int hs_ext_quictp_parameter_pa_ipv4port |
int hs_ext_quictp_parameter_pa_ipv6port |
int hs_ext_quictp_parameter_pa_connectionid_length |
int hs_ext_quictp_parameter_pa_connectionid |
int hs_ext_quictp_parameter_pa_statelessresettoken |
int hs_ext_quictp_parameter_active_connection_id_limit |
int hs_ext_quictp_parameter_initial_source_connection_id |
int hs_ext_quictp_parameter_retry_source_connection_id |
int hs_ext_quictp_parameter_max_datagram_frame_size |
int hs_ext_quictp_parameter_cibir_encoding_length |
int hs_ext_quictp_parameter_cibir_encoding_offset |
int hs_ext_quictp_parameter_loss_bits |
int hs_ext_quictp_parameter_address_discovery |
int hs_ext_quictp_parameter_enable_time_stamp_v2 |
int hs_ext_quictp_parameter_min_ack_delay |
int hs_ext_quictp_parameter_google_user_agent_id |
int hs_ext_quictp_parameter_google_key_update_not_yet_supported |
int hs_ext_quictp_parameter_google_quic_version |
int hs_ext_quictp_parameter_google_initial_rtt |
int hs_ext_quictp_parameter_google_support_handshake_done |
int hs_ext_quictp_parameter_google_quic_params |
int hs_ext_quictp_parameter_google_quic_params_unknown_field |
int hs_ext_quictp_parameter_google_connection_options |
int hs_ext_quictp_parameter_google_supported_versions_length |
int hs_ext_quictp_parameter_google_supported_version |
int hs_ext_quictp_parameter_facebook_partial_reliability |
int hs_ext_quictp_parameter_chosen_version |
int hs_ext_quictp_parameter_other_version |
int hs_ext_quictp_parameter_enable_multipath |
int hs_ext_quictp_parameter_initial_max_paths |
int hs_ext_quictp_parameter_initial_max_path_id |
int esni_suite |
int esni_record_digest_length |
int esni_record_digest |
int esni_encrypted_sni_length |
int esni_encrypted_sni |
int esni_nonce |
int ech_echconfiglist_length |
int ech_echconfiglist |
int ech_echconfig |
int ech_echconfig_version |
int ech_echconfig_length |
int ech_echconfigcontents_maximum_name_length |
int ech_echconfigcontents_public_name_length |
int ech_echconfigcontents_public_name |
int ech_echconfigcontents_extensions_length |
int ech_echconfigcontents_extensions |
int ech_hpke_keyconfig |
int ech_hpke_keyconfig_config_id |
int ech_hpke_keyconfig_kem_id |
int ech_hpke_keyconfig_public_key_length |
int ech_hpke_keyconfig_public_key |
int ech_hpke_keyconfig_cipher_suites |
int ech_hpke_keyconfig_cipher_suites_length |
int ech_hpke_keyconfig_cipher_suite |
int ech_hpke_keyconfig_cipher_suite_kdf_id |
int ech_hpke_keyconfig_cipher_suite_aead_id |
int ech_clienthello_type |
int ech_cipher_suite |
int ech_config_id |
int ech_enc_length |
int ech_enc |
int ech_payload_length |
int ech_payload |
int ech_confirmation |
int ech_retry_configs |
int ech_padding_data |
int hs_ext_alps_len |
int hs_ext_alps_alpn_list |
int hs_ext_alps_alpn_str |
int hs_ext_alps_alpn_str_len |
int hs_ext_alps_settings |
} | hf |
struct { |
int hs_ext |
int hs_ext_alpn |
int hs_ext_cert_types |
int hs_ext_groups |
int hs_ext_curves_point_formats |
int hs_ext_npn |
int hs_ext_reneg_info |
int hs_ext_key_share |
int hs_ext_key_share_ks |
int hs_ext_pre_shared_key |
int hs_ext_psk_identity |
int hs_ext_psk_binders |
int hs_ext_psk_binder |
int hs_ext_server_name |
int hs_ext_oid_filter |
int hs_ext_quictp_parameter |
int hs_ext_trusted_ca_keys |
int hs_ext_trusted_ca_key |
int hs_sig_hash_alg |
int hs_sig_hash_algs |
int urlhash |
int keyex_params |
int certificates |
int cert_types |
int dnames |
int hs_random |
int cipher_suites |
int comp_methods |
int session_ticket |
int sct |
int cert_status |
int ocsp_response |
int uncompressed_certificates |
int hs_ext_alps |
int ech_echconfiglist |
int ech_echconfig |
int ech_retry_configs |
int ech_hpke_keyconfig |
int ech_hpke_cipher_suites |
int ech_hpke_cipher_suite |
int ech_decrypt |
int hs_ext_token_binding_key_parameters |
} | ett |
struct { |
expert_field client_version_error |
expert_field server_version_error |
expert_field legacy_version |
expert_field malformed_vector_length |
expert_field malformed_buffer_too_small |
expert_field malformed_trailing_data |
expert_field hs_ext_cert_status_undecoded |
expert_field hs_ciphersuite_undecoded |
expert_field hs_srv_keyex_illegal |
expert_field resumed |
expert_field record_length_invalid |
expert_field decompression_error |
expert_field ech_echconfig_invalid_version |
expert_field ech_accepted |
expert_field ech_rejected |
} | ei |

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/dissectors/packet-tls-utils.h